ALTER TABLE TercCliente ADD CdTipBloq VARCHAR(4),DescEdoDoc VARCHAR(250)
GO
ALTER TABLE Agencias ADD CdTipAgenc VARCHAR(4),
CdSubAgenc VARCHAR(4),
CdGrupAgenc VARCHAR(4),
CdSubGrupAgenc VARCHAR(4),
CdFntePago VARCHAR(4),
PlazoSobtasa VARCHAR(20),
DocFinanc VARCHAR(3),
VolContMes DECIMAL(14,4) DEFAULT (0) NOT NULL,
VolContTotal DECIMAL(14,4) DEFAULT (0) NOT NULL,
VolViabMes DECIMAL(14,4) DEFAULT (0) NOT NULL,
VolViabTotal DECIMAL(14,4) DEFAULT (0) NOT NULL,
FecPriVenta SMALLDATETIME,
InvCtbObra MONEY DEFAULT (0) NOT NULL,
InvCtbCapital MONEY DEFAULT (0) NOT NULL,
InvCtbEfectivo MONEY DEFAULT (0) NOT NULL,
InvCtbImagen MONEY DEFAULT (0) NOT NULL,
InvCtbMntmto MONEY DEFAULT (0) NOT NULL,
FecDesemb SMALLDATETIME,
InvContObra MONEY DEFAULT (0) NOT NULL,
InvContCapital MONEY DEFAULT (0) NOT NULL,
InvContEfectivo MONEY DEFAULT (0) NOT NULL,
InvContImagen MONEY DEFAULT (0) NOT NULL,
CrtlAprovInv INT DEFAULT (0) NOT NULL,
CrtlAprovImg INT DEFAULT (0) NOT NULL,
FecVigCond SMALLDATETIME,TasaIntArranq DECIMAL(14,4) DEFAULT (0) NOT NULL
GO
ALTER TABLE Trn_MayContratos ADD FechaFirma SMALLDATETIME,CdAprobNeg VARCHAR(4),
ArchivoAprob VARCHAR(50),
ClaseContrato VARCHAR(10),
DescTipoCont VARCHAR(250),
GarantHipoteca BIT DEFAULT (0) NOT NULL,
GarantPrenda BIT DEFAULT (0) NOT NULL,
GarantPoliza BIT DEFAULT (0) NOT NULL,
GarantBanco BIT DEFAULT (0) NOT NULL,
GarantPagare BIT DEFAULT (0) NOT NULL,
GarantOtro BIT DEFAULT (0) NOT NULL,
CdTipoBien VARCHAR(4),
VrAvaludo MONEY DEFAULT (0) NOT NULL,
NroEscritura VARCHAR(50),
CdTipoPoliza VARCHAR(4),
DescPoliza VARCHAR(150),
VigencPoliza INT DEFAULT (0) NOT NULL,
FecVencPoliza SMALLDATETIME,
ValorPoliza MONEY DEFAULT (0) NOT NULL,
EdoGarantias INT DEFAULT (0) NOT NULL,
DescGarantOtro VARCHAR(250),
InverContab INT DEFAULT (0) NOT NULL,
InverContrac INT DEFAULT (0) NOT NULL,
VolContMes DECIMAL(14,4) DEFAULT (0) NOT NULL,
VolContTotal DECIMAL(14,4) DEFAULT (0) NOT NULL,
VolViabMes DECIMAL(14,4) DEFAULT (0) NOT NULL,
VolViabTotal DECIMAL(14,4) DEFAULT (0) NOT NULL,
InvCtbObra MONEY DEFAULT (0) NOT NULL,
InvCtbCapital MONEY DEFAULT (0) NOT NULL,
InvCtbEfectivo MONEY DEFAULT (0) NOT NULL,
InvCtbImagen MONEY DEFAULT (0) NOT NULL,
InvCtbMntmto MONEY DEFAULT (0) NOT NULL,
FecDesemb SMALLDATETIME,
InvContObra MONEY DEFAULT (0) NOT NULL,
InvContCapital MONEY DEFAULT (0) NOT NULL,
InvContEfectivo MONEY DEFAULT (0) NOT NULL,
InvContImagen MONEY DEFAULT (0) NOT NULL,
CrtlAprovInv INT DEFAULT (0) NOT NULL,
CrtlAprovImg INT DEFAULT (0) NOT NULL,
CdTipoBloq VARCHAR(4),
EdoDocmtos INT DEFAULT (0) NOT NULL,
DescEdoDoc VARCHAR(250),
RentabInicial DECIMAL(14,4) DEFAULT (0) NOT NULL,GraciaBonif INT DEFAULT (0) NOT NULL
GO
ALTER TABLE Trn_FinPrestamo ADD CdAlmacen VARCHAR(4)
GO
CREATE TABLE TiposBloq ( 
IdTipBloq VARCHAR(4) NOT NULL,
TipoBloqueo VARCHAR(50) NOT NULL,
Inactivo BIT DEFAULT (0) NOT NULL
 CONSTRAINT PK_TiposBloq PRIMARY KEY CLUSTERED (IdTipBloq),
 CONSTRAINT CK_TiposBloqIdTipBloq CHECK ((len([IdTipBloq]) > 0)),
 CONSTRAINT CK_TiposBloqTipoBloqueo CHECK ((len([TipoBloqueo]) > 0)))
CREATE TABLE TiposAgenc ( 
IdTipAgenc VARCHAR(4) NOT NULL,
TipoAgencia VARCHAR(50) NOT NULL,
Inactivo BIT DEFAULT (0) NOT NULL
 CONSTRAINT PK_TiposAgenc PRIMARY KEY CLUSTERED (IdTipAgenc),
 CONSTRAINT CK_TiposAgencIdTipAgenc CHECK ((len([IdTipAgenc]) > 0)),
 CONSTRAINT CK_TiposAgencTipoAgencia CHECK ((len([TipoAgencia]) > 0)))
CREATE TABLE TiposComAgenc ( 
IdSubAgenc VARCHAR(4) NOT NULL,
SubTipoAgenc VARCHAR(50) NOT NULL,
IdTipAgenc VARCHAR(4) NOT NULL,
Inactivo BIT DEFAULT (0) NOT NULL
 CONSTRAINT PK_TiposComAgenc PRIMARY KEY CLUSTERED (IdSubAgenc),
 CONSTRAINT CK_TiposComAgencIdSubAgenc CHECK ((len([IdSubAgenc]) > 0)),
 CONSTRAINT CK_TiposComAgencIdTipAgenc CHECK ((len([IdTipAgenc]) > 0)),
 CONSTRAINT CK_TiposComAgencSubTipoAgenc CHECK ((len([SubTipoAgenc]) > 0)))
CREATE TABLE GruposAgenc ( 
IdGrupo VARCHAR(4) NOT NULL,
GrupoAgenc VARCHAR(50) NOT NULL,
Inactivo BIT DEFAULT (0) NOT NULL
 CONSTRAINT PK_GruposAgenc PRIMARY KEY CLUSTERED (IdGrupo),
 CONSTRAINT CK_GruposAgencGrupoAgenc CHECK ((len([GrupoAgenc]) > 0)),
 CONSTRAINT CK_GruposAgencIdGrupo CHECK ((len([IdGrupo]) > 0)))
CREATE TABLE SubGruposAgenc ( 
IdSubAgenc VARCHAR(4) NOT NULL,
SubGrupoAgenc VARCHAR(50) NOT NULL,
IdGrupo VARCHAR(4) NOT NULL,
Inactivo BIT DEFAULT (0) NOT NULL
 CONSTRAINT PK_SubGruposAgenc PRIMARY KEY CLUSTERED (IdSubAgenc),
 CONSTRAINT CK_SubGruposAgencIdGrupo CHECK ((len([IdGrupo]) > 0)),
 CONSTRAINT CK_SubGruposAgencIdSubAgenc CHECK ((len([IdSubAgenc]) > 0)),
 CONSTRAINT CK_SubGruposAgencSubGrupoAgenc CHECK ((len([SubGrupoAgenc]) > 0)))
CREATE TABLE FuentesPago ( 
IdFuente VARCHAR(4) NOT NULL,
FuentePago VARCHAR(50) NOT NULL,
Inactivo BIT DEFAULT (0) NOT NULL
 CONSTRAINT PK_FuentesPago PRIMARY KEY CLUSTERED (IdFuente),
 CONSTRAINT CK_FuentesPagoFuentePago CHECK ((len([FuentePago]) > 0)),
 CONSTRAINT CK_FuentesPagoIdFuente CHECK ((len([IdFuente]) > 0)))
CREATE TABLE MayTiposAprob ( 
IdAprob VARCHAR(4) NOT NULL,
TipoAprob VARCHAR(50) NOT NULL,
Inactivo BIT DEFAULT (0) NOT NULL
 CONSTRAINT PK_MayTiposAprob PRIMARY KEY CLUSTERED (IdAprob),
 CONSTRAINT CK_MayTiposAprobIdAprob CHECK ((len([IdAprob]) > 0)),
 CONSTRAINT CK_MayTiposAprobTipoAprob CHECK ((len([TipoAprob]) > 0)))
CREATE TABLE MayTiposBienes ( 
IdTipBien VARCHAR(4) NOT NULL,
TipoBien VARCHAR(50) NOT NULL,
Inactivo BIT DEFAULT (0) NOT NULL
 CONSTRAINT PK_MayTiposBienes PRIMARY KEY CLUSTERED (IdTipBien),
 CONSTRAINT CK_MayTiposBienesIdTipBien CHECK ((len([IdTipBien]) > 0)),
 CONSTRAINT CK_MayTiposBienesTipoBien CHECK ((len([TipoBien]) > 0)))
CREATE TABLE MayTiposPoliza ( 
IdTipoPol VARCHAR(4) NOT NULL,
TipoPoliza VARCHAR(50) NOT NULL,
Inactivo BIT DEFAULT (0) NOT NULL
 CONSTRAINT PK_MayTiposPoliza PRIMARY KEY CLUSTERED (IdTipoPol),
 CONSTRAINT CK_MayTiposPolizaIdTipoPol CHECK ((len([IdTipoPol]) > 0)),
 CONSTRAINT CK_MayTiposPolizaTipoPoliza CHECK ((len([TipoPoliza]) > 0)))
CREATE TABLE Trn_MayAgencias ( 
NContrato INT DEFAULT (0) NOT NULL,
IdCia CHAR(2) DEFAULT ('01') NOT NULL,
Item INT DEFAULT (0) NOT NULL,
IdAgencia VARCHAR(16) NOT NULL
 CONSTRAINT PK_Trn_MayAgencias PRIMARY KEY CLUSTERED (NContrato,IdCia,Item),
 CONSTRAINT CK_Trn_MayAgenciasIdAgencia CHECK ((len([IdAgencia]) > 0)),
 CONSTRAINT CK_Trn_MayAgenciasIdCia CHECK ((len([IdCia]) > 0)))
CREATE TABLE FinAlmacenes ( 
IdAlmacen VARCHAR(4) NOT NULL,
Almacen VARCHAR(50) NOT NULL,
Inactivo BIT DEFAULT (0) NOT NULL
 CONSTRAINT PK_FinAlmacenes PRIMARY KEY CLUSTERED (IdAlmacen),
 CONSTRAINT CK_FinAlmacenesAlmacen CHECK ((len([Almacen]) > 0)),
 CONSTRAINT CK_FinAlmacenesIdAlmacen CHECK ((len([IdAlmacen]) > 0)))
GO
ALTER TABLE TiposComAgenc ADD 
 CONSTRAINT FK_TiposComAgenc_TiposAgenc FOREIGN KEY (IdTipAgenc) REFERENCES [dbo].[TiposAgenc] (IdTipAgenc)
ALTER TABLE SubGruposAgenc ADD 
 CONSTRAINT FK_SubGruposAgenc_GruposAgenc FOREIGN KEY (IdGrupo) REFERENCES [dbo].[GruposAgenc] (IdGrupo)
ALTER TABLE Trn_MayAgencias ADD 
 CONSTRAINT FK_Trn_MayAgencias_Trn_MayContratos FOREIGN KEY (NContrato,IdCia) REFERENCES [dbo].[Trn_MayContratos] (NContrato,IdCia)
